<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@A037=99</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@E8A4</action>
      <action>temp1 =maincpu.mb@E8AB</action>
    </script>
    <script state="run">
      <action>maincpu.mb@E8A4=00</action>
      <action>maincpu.mb@E8AB=20</action>
    </script>
    <script state="off">
      <action>maincpu.mb@E8A4=temp0 </action>
      <action>maincpu.mb@E8AB=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@A1A1=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Smart Bombs PL1">
    <script state="run">
      <action>maincpu.pb@A1A3=04</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Mission PL1">
    <parameter min="1" max="98" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@A1A2==01)">maincpu.pb@A1A2=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@A1DE=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Smart Bombs PL2">
    <script state="run">
      <action>maincpu.pb@A1E0=04</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Mission PL2">
    <parameter min="1" max="98" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@A1DF==01)">maincpu.pb@A1DF=(param)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
